/** @format */

import request from "@/utils/request";

//获取人才类别
export function getlistByCardType(params) {
  return request({
    url: "/talents/matter/listByCardType",
    method: "get",
    params,
  });
}

//获取人才称号
export function getListByParentId(params) {
  return request({
    url: "/talents/matter/listByParentId",
    method: "get",
    params,
  });
}

//A卡提交信息
export function addCG(data, method) {
  return request({
    url: "/talent/list",
    method,
    data,
  });
}

//获取提交的材料信息
export function getMaterialsData(id) {
  return request({
    url: "/talent/list/" + id,
    method: "get",
  });
}

//获取提交的材料信息
export function getMaterialformData(id) {
  return request({
    url: "/application/form/" + id,
    method: "get",
  });
}

//完成提交
export function finishMatter(id) {
  return request({
    url: "/application/form/accomplishShenQing/" + id,
    method: "get",
  });
}

//获取不予受理的详情
export function getApplicationState(params) {
  return request({
    url: "/audit/opinion/shenqingStateByByslDetail",
    method: "get",
    params,
  });
}
